org.activiti.engine.history

## Interface HistoricProcessInstance

-     public interface HistoricProcessInstance

  A single execution of a whole process definition that is stored permanently.
  Author:
    Christian Stettler

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBusinessKey()` The user provided unique reference to this process instance.
    `String` | `getDeleteReason()` Obtains the reason for the process instance's deletion.
    `String` | `getDeploymentId()` The deployment id of the process definition of the process instance.
    `String` | `getDescription()` The description for the process instance.
    `Long` | `getDurationInMillis()` The difference between `getEndTime()` and `getStartTime()` .
    `String` | `getEndActivityId()` Deprecated.
    `Date` | `getEndTime()` The time the process was ended.
    `String` | `getId()` The process instance id (== as the id for the runtime `process instance`).
    `String` | `getName()` The name for the process instance.
    `String` | `getProcessDefinitionId()` The process definition reference.
    `String` | `getProcessDefinitionKey()` The key of the process definition of the process instance.
    `String` | `getProcessDefinitionName()` The name of the process definition of the process instance.
    `Integer` | `getProcessDefinitionVersion()` The version of the process definition of the process instance.
    `Map<String,Object>` | `getProcessVariables()` Returns the process variables if requested in the process instance query
    `String` | `getStartActivityId()` The start activity.
    `Date` | `getStartTime()` The time the process was started.
    `String` | `getStartUserId()` The authenticated user that started this process instance.
    `String` | `getSuperProcessInstanceId()` The process instance id of a potential super process instance or null if no super process instance exists
    `String` | `getTenantId()` The tenant identifier for the process instance.
    `void` | `setLocalizedDescription(String description)` Sets an optional localized description for the process instance.
    `void` | `setLocalizedName(String name)` Sets an optional localized name for the process instance.

- - ### Method Detail

    - #### getId

          String getId()

      The process instance id (== as the id for the runtime `process instance`).

    - #### getBusinessKey

          String getBusinessKey()

      The user provided unique reference to this process instance.

    - #### getProcessDefinitionId

          String getProcessDefinitionId()

      The process definition reference.

    - #### getProcessDefinitionName

          String getProcessDefinitionName()

      The name of the process definition of the process instance.

    - #### getProcessDefinitionKey

          String getProcessDefinitionKey()

      The key of the process definition of the process instance.

    - #### getProcessDefinitionVersion

          Integer getProcessDefinitionVersion()

      The version of the process definition of the process instance.

    - #### getDeploymentId

          String getDeploymentId()

      The deployment id of the process definition of the process instance.

    - #### getStartTime

          Date getStartTime()

      The time the process was started.

    - #### getEndTime

          Date getEndTime()

      The time the process was ended.

    - #### getDurationInMillis

          Long getDurationInMillis()

      The difference between `getEndTime()` and `getStartTime()` .

    - #### getEndActivityId

          @Deprecated
          String getEndActivityId()

      Deprecated.
      Reference to the activity in which this process instance ended. Note that a process instance can have multiple end events, in this case it might not be deterministic which activity id will be referenced here. Use a `HistoricActivityInstanceQuery` instead to query for end events of the process instance (use the activityTYpe attribute)

    - #### getStartUserId

          String getStartUserId()

      The authenticated user that started this process instance.
      See Also:
        `IdentityService.setAuthenticatedUserId(String)`

    - #### getStartActivityId

          String getStartActivityId()

      The start activity.

    - #### getDeleteReason

          String getDeleteReason()

      Obtains the reason for the process instance's deletion.

    - #### getSuperProcessInstanceId

          String getSuperProcessInstanceId()

      The process instance id of a potential super process instance or null if no super process instance exists

    - #### getTenantId

          String getTenantId()

      The tenant identifier for the process instance.

    - #### getName

          String getName()

      The name for the process instance.

    - #### getDescription

          String getDescription()

      The description for the process instance.

    - #### setLocalizedName

          void setLocalizedName(String name)

      Sets an optional localized name for the process instance.

    - #### setLocalizedDescription

          void setLocalizedDescription(String description)

      Sets an optional localized description for the process instance.

    - #### getProcessVariables

          Map<String,Object> getProcessVariables()

      Returns the process variables if requested in the process instance query

Copyright © 2016 Alfresco. All rights reserved.